DROP TABLE IF EXISTS products_freight;
CREATE TABLE products_freight (
  freight_id int(11) NOT NULL auto_increment,
  countries_id int(11) NOT NULL DEFAULT '0' ,
  price_pack decimal(15,4) NOT NULL DEFAULT '0.0000' ,
  price_kg decimal(15,4) NOT NULL DEFAULT '0.0000' ,
  pack_type tinyint(4) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (freight_id)
);

DROP TABLE IF EXISTS products_reminders;
CREATE TABLE products_reminders (
  products_id int(11) NOT NULL DEFAULT '0' ,
  attributes_id tinytext NOT NULL DEFAULT '' ,
  date_added datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  email_address varchar(96) NOT NULL DEFAULT '0' 
);


DROP TABLE IF EXISTS products_stock;
CREATE TABLE products_stock (
  products_id int(11) NOT NULL DEFAULT '0' ,
  attributes_id tinytext ,
  products_quantity int(11) DEFAULT '0' ,
  products_ordered int(11) DEFAULT '0' 
);

ALTER TABLE orders_edit_products_attributes ADD products_options_id int(11) UNSIGNED;
ALTER TABLE orders_edit_products_attributes ADD products_options_values_id int(11) UNSIGNED;
ALTER TABLE orders_products_attributes ADD products_options_id int(11) UNSIGNED;
ALTER TABLE orders_products_attributes ADD products_options_values_id int(11) UNSIGNED;

ALTER TABLE orders_products ADD orders_products_status TINYINT(1)  DEFAULT "0";
ALTER TABLE orders_products ADD invoice_printed TINYINT UNSIGNED DEFAULT "0";

ALTER TABLE orders_products ADD packing_slip_printed TINYINT UNSIGNED DEFAULT "0";
ALTER TABLE customers_basket CHANGE customers_basket_date_added customers_basket_date_added DATETIME;
ALTER TABLE products ADD is_attributes CHAR(1)  DEFAULT "N" NOT NULL;



insert into configuration(Configuration_title,configuration_key,configuration_description,configuration_group_id,date_added) values('Packaging Surcharge','PRODUCT_PACKAGING_SURCHARGE','Packaging surcharge for products ($)','1',now());
insert into configuration(Configuration_title,configuration_key,configuration_description,configuration_group_id,date_added) values('Packaging Cost','PRODUCT_PACKAGING_COST','Packaging cost for products (%)','1',now());





INSERT INTO admin_groups(admin_groups_name,admin_groups_type) values('Fulfiller','E');


INSERT INTO orders_status (orders_status_id, language_id, orders_status_name) VALUES (4, 1, 'Backorder');


INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'reports_fulfiller.php', 0, 8, '1,8', 'D', 'D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'mail_backorder.php', 0, 8, '1,8', 'D', 'D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'report_invoice.php', 0, 8, '1,8', 'D', 'D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'report_packslip.php', 0, 8, '1,8', 'D', 'D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'report_packslip.php', 0, 8, '1,8', 'D', 'D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'report_pickpack.php', 0, 8, '1,8', 'D', 'D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'products_freight.php','0','3','1','D','D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'reports_cart_drop.php','0','8','1','D','D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, "products_options.php",'0','3','1','D','D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, "products_message.php",'0','3','1','D','D');



insert into configuration_group values('903','SMS','SMS Messaging','10','1');
insert into configuration_group values('904','Surveys','Survey Options','13','1');
insert into configuration_group values('905','Orders','Orders Options','14','1');
insert into configuration_group values('906','Reports','Report Options','15','1');

update configuration set configuration_group_id='12' where configuration_key='EVENTS_TEST_EMAIL_ADDRESS';
update configuration set configuration_group_id='12' where configuration_key='EVENTS_EMAIL_TIMINGS';
update configuration set configuration_group_id='12' where configuration_key='EMAIL_ACTIVATE';
update configuration set configuration_group_id='12' where configuration_key='EMAIL_TIME_LIMIT';

update configuration set configuration_group_id='903' where configuration_key='SMS_GATEWAY';
update configuration set configuration_group_id='903' where configuration_key='SMS_EMAIL';
update configuration set configuration_group_id='903' where configuration_key='SMS_TEST_PHONE';
update configuration set configuration_group_id='903' where configuration_key='EVENTS_SMS_TIMINGS';
update configuration set configuration_group_id='903' where configuration_key='SMS_FROM_NAME';
update configuration set configuration_group_id='903' where configuration_key='SMS_ACTIVATE';

update configuration set configuration_group_id='1' where configuration_key='EVENTS_DATE_FORMAT';
update configuration set configuration_group_id='1' where configuration_key='EVENTS_SERVER_DATE_OFFSET';
update configuration set configuration_group_id='1' where configuration_key='ENABLE_WEB_SERVICE';

update configuration set configuration_group_id='904' where configuration_key='CUSTOMER_BOOKING_DETAILS';
update configuration set configuration_group_id='904' where configuration_key='EVENTS_SURVEY_TEXT';

update configuration set configuration_group_id='905' where configuration_key='EVENTS_RENEWAL_CHECK';
update configuration set configuration_group_id='905' where configuration_key='EVENTS_ORDER_TIMEOUT';
update configuration set configuration_group_id='905' where configuration_key='EVENTS_ORDER_AMOUNT_ROUND';
update configuration set configuration_group_id='905' where configuration_key='NO_CHECKOUT_ZERO_PRICE';

update configuration set configuration_group_id='906' where configuration_key='REPORT_MAX_ROWS_PAGE';
update configuration set configuration_group_id='906' where configuration_key='REPORT_MAX_LINKS_PAGE';
